      SUBROUTINE ALN1R3(COS,SIN,X,Y)
C*********************************************************
C
C    PURPOSE:
C       APPLICATION OF GIVENS ORTHOGONAL ROTATION MATRIX.
C
C    METHOD:
C       FOR GIVEN 2-VECTOR  ( X )
C                           ( Y )
C       ROTATION COMPUTED BY ALN1R2 IS APPLIED.
C       THE ROTATION MATRIX
C
C               ( COS     SIN )
C               (-SIN     COS )
C
C       IS GIVEN BY ITS ELEMENTS  COS , SIN .
C       A RESULTS ARE PLACED AT THE SAME POSITIONS
C       IN MEMORY AS  X   AND  Y .
C
C    REFERENCES:
C    1.LAWSON C.L. AND HANSON R.J. SOLVING LEAST SQUARES
C      PROBLEMS.- PRENTICE-HALL,INC.,ENGLEWOOD CLIFFS,NEW
C      JERSEY,1974.
C
C    USAGE:
C       CALL ALN1R3 (COS,SIN,X,Y)
C
C    INPUT PARAMETERS:
C       COS - REAL VARIABLE - THE FIRST ELEMENT
C             OF GIVENS MATRIX;
C       SIN - REAL VARIABLE-THE SECOND ELEMENT
C             OF GIVENS MATRIX
C
C    INPUT AND OUTPUT PARAMETERS:
C       X - REAL VARIABLE -  ON ENTRANCE CONTAINS THE
C           FIRST COMPONENT OF 2-VECTOR; ON EXIT IT
C           CONTAINS THE FIRST COMPONENT OF TRANSFORMED
C           VECTOR;
C       Y - REAL VARIABLE - ON ENTRANCE CONTAINS THE
C           SECOND COMPONENT OF 2-VECTOR; ON EXIT IT
C           CONTAINS THE SECOND COMPONENT OF TRANSFORMED
C           VECTOR.
C
C*********************************************************
      REAL COS,SIN,X,Y,XR
      XR=COS*X+SIN*Y
      Y=-SIN*X+COS*Y
      X=XR
      RETURN
      END
